import tempfile

from invoke import task, run


@task()
def setup_virtualenvs(ctx):
    temp_dir = tempfile.mkdtemp()
    run('virtualenv {}'.format(temp_dir))
    run('./{}/bin/activate'.format(temp_dir))
    run('pip install -e .')
